### Function

# Secret password_storev_sync

#### Declaration [src]

    gboolean
    secret_password_storev_sync (
      const SecretSchema* schema,
      GHashTable* attributes,
      const gchar* collection,
      const gchar* label,
      const gchar* password,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Store a password in the secret service.

The `attributes` should be a set of key and value string pairs.

If the attributes match a secret item already stored in the collection, then the item will be updated with these new values.

If `collection` is `NULL`, then the default collection will be used. Use `SECRET_COLLECTION_SESSION` to store the password in the session collection, which doesn’t get stored across login sessions.

This method may block indefinitely and should not be used in user interface threads.

This method is renamed to `secret_password_store_sync()` in language bindings

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`attributes`

  Type: `GHashTable`

  The attribute keys and values.

  The data is owned by the caller of the function.

`collection`

  Type: `const gchar*`

  A collection alias, or D-Bus object path of the collection where to store the secret.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const gchar*`

  Label for the secret.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`password`

  Type: `const gchar*`

  The null-terminated password to store.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the storage was successful or not.